/* --------------------------------------------------------------------- POTENTIALLY GO FULL WIDTH FOR BETTER USABILITY*/
.ubermenu {
    font-family: var(--wp--preset--font-family--calluna-sans), sans-serif;
    font-weight: 500;
}

.ubermenu .ubermenu-target {
    padding: 16px 16px 8px 8px;
    font-size: 16px; 
}

 .ubermenu-item-level-0 > .ubermenu-target {
    text-transform: uppercase;
    letter-spacing: 1px;
 }

.ubermenu-sub-indicators .ubermenu-has-submenu-drop>.ubermenu-target>.ubermenu-sub-indicator {
    position: relative;
    right: 0;
    top: 0;
    margin-top: 0px;
    margin-right: 4px;
    margin-left: 8px;
    font-size: 66%;
}

.ubermenu-sub-indicators .ubermenu-has-submenu-drop>.ubermenu-target {
    padding-right: 4px;
}

.ubermenu .ubermenu-submenu-type-flyout>.ubermenu-item a {
    padding: 4px 0px 4px 0px;
}

.ubermenu-item-level-1 *,
.ubermenu-item-level-2 *,
.ubermenu-item-level-3 * {
    text-transform: none !important;
    font-family: var(--wp--preset--font-family--calluna-sans), 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.ubermenu .ubermenu-row {
    margin-bottom: 0px !important;
}

.ubermenu.ubermenu-disable-submenu-scroll .ubermenu-item>.ubermenu-submenu.ubermenu-submenu-type-mega,
.ubermenu:not(.ubermenu-transition-slide) .ubermenu-submenu.ubermenu-submenu-type-flyout {
    border: 1px solid var(--wp--preset--color--hd-gray-quaternary);
    border-radius: 4px;
}

ul.ubermenu-submenu.ubermenu-submenu-id-4114.ubermenu-submenu-type-flyout.ubermenu-submenu-drop.ubermenu-submenu-align-left_edge_item {
    padding: 4px !important;
}

a.ubermenu-target.ubermenu-target-with-image.ubermenu-item-layout-image_left {
    padding-left: 16px !important;
    padding-right: 16px !important;
    font-size: 1rem !IMPORTANT;
}

.ubermenu-content-block.ubermenu-custom-content {
    padding-top: 16px;
    padding-right: 16px;
}

.ubermenu-column-1-3 {
    padding: 16px 32px 32px 32px !important;
}

.ubermenu-submenu-type-flyout {
    padding: 16px !important; 
}

.ubermenu {
    margin-top: 16px !important;
    padding-left: 32px;
    border-left: 1px solid #e3e3e3;
}

.ubermenu .ubermenu-submenu .ubermenu-column-auto {
    min-width: 100px;
    width: 100%;
}

.main-navigation-wrap {
    position: relative;
}


div.ubermenu-submenu { 
    width: 940px !important;
    left: -20vh !important;
}

.ubermenu .ubermenu-row {
    margin-bottom: 0px !important;
    max-width: 980px !important;
    margin: 0px auto !important;
}

.ubermenu-submenu li p.no-padding a {padding: 0px !important;}

.ubermenu > ul > li > a::after {
    content: '';
    display: block;
    width: 0;
    height: 4px;
    background: linear-gradient(90deg, rgba(191, 150, 50, 1) 0%, rgba(241, 236, 198, 1) 99.96%);
    transition: width .3s;
    margin: 0px auto;
    border-radius: 100px;
}

.ubermenu > ul > li > a:hover::after {
    width: 100%;
    -webkit-transition: width .3s;
    transition: width .3s;
}


.header-alt .ubermenu .ubermenu-target {
    font-size: 1rem;
}

.header-alt .ubermenu ul li a {
    padding-bottom: 12px !IMPORTANT;
    transition: all 0.2s ease;
}



.ubermenu-target-text i {
    display: inline-block;
    width: 24px;
}

.top-bar nav.right {
    width: 100%;
    padding-top: 34px;
}

a.ubermenu-target {
    color: var(--wp--preset--color--hd-red-dark);
}



/* ICON MENU ITEMS */
.uber-add-margin-bottom {margin-bottom: 20px !important;}

a.ubermenu-target.ubermenu-target-with-image.ubermenu-item-layout-image_left {
    padding-bottom: 12px !important;
    font-weight: 600;
}

a.ubermenu-target.ubermenu-target-with-image.ubermenu-item-layout-image_left  > .ubermenu-target-text {
    padding: 6px 6px 6px 6px;
    font-weight: 500;
    line-height: 21px;
}

.ubermenu .ubermenu-target-description {
    font-weight: 300 !important;
    font-size: 0.8125rem !important;
}



/* ICONS */

.ubermenu .ubermenu-item-layout-image_left>.ubermenu-image {
    padding: 2px;
    margin-top: 6px;
}

.ubermenu .ubermenu-item-layout-image_above > .ubermenu-image {
    padding-top: 6px;
}


/* Highlight links / wayfinding */
.ubermenu-item-level-0 > a:hover > span,
.ubermenu-item-level-0 > a:focus > span,
.ubermenu-item-level-0 > a:hover > span,
.ubermenu-item-level-0 > a:focus > .ubermenu-sub-indicator::before,
.ubermenu-item-level-0 > a:hover > .ubermenu-sub-indicator::before {
    color:var(--wp--preset--color--accent-yellow-orange) ;
    text-decoration: none;
    -webkit-transition: all 0.1s linear 0s;
    transition: all 0.1s linear 0s;
}

.ubermenu-item-level-0.ubermenu-current-menu-item > a > span,
.ubermenu-item-level-0.ubermenu-current_page_item > a > span,
.ubermenu-item-level-0.ubermenu-current-page-ancestor > a > span,
.ubermenu-item-level-0.ubermenu-current-menu-ancestor > a > span,
body.blog .ubermenu-item-level-0.ubermenu-current_page_parent > a > span,
body.single-post .ubermenu-item-level-0.ubermenu-current_page_parent > a > span,
ubermenu-item-level-0.current-menu-item.active > a > span,
body.post-type-archive-course .ubermenu-item-10.ubermenu-item-level-0 > a > span,
body.single-resource .ubermenu-item-1917.ubermenu-item-level-0 > a > span{
    color: var(--wp--preset--color--accent-yellow-orange) !important;
}

.ubermenu-item-level-0.ubermenu-current-menu-item > a::after,
.ubermenu-item-level-0.ubermenu-current_page_item > a::after,
.ubermenu-item-level-0.ubermenu-current-page-ancestor > a::after,
.ubermenu-item-level-0.ubermenu-current-menu-ancestor > a::after,
body.blog .ubermenu-item-level-0.ubermenu-current_page_parent > a::after,
body.single-post .ubermenu-item-level-0.ubermenu-current_page_parent > a::after,
ubermenu-item-level-0.current-menu-item.active > a::after,
body.post-type-archive-course .ubermenu-item-10.ubermenu-item-level-0 > a::after,
body.single-resource .ubermenu-item-1917.ubermenu-item-level-0 > a::after {

    content: '';
    display: block;
    width: 100%;
    height: 4px;
    background: linear-gradient(90deg, rgba(191, 150, 50, 1) 0%, rgba(241, 236, 198, 1) 99.96%);
    transition: width .3s;
}


.ubermenu .ubermenu-submenu-type-stack > .ubermenu-item-normal>.ubermenu-target {
    padding: 3px 3px 3px 0px !IMPORTANT;
}

.ubermenu .ubermenu-submenu-type-stack > .ubermenu-item-normal>.ubermenu-target,
.ubermenu .ubermenu-submenu-type-flyout > .ubermenu-item a,
.ubermenu .ubermenu-submenu .ubermenu-target {
    padding-left: 0 !important;
    border-left: 1px solid rgba(46, 60, 58,0);
    -webkit-transition: all 0.1s linear 0s;
    transition: all 0.2s ease-in-out 0s;
    margin-bottom: 8px;
    font-size: 100%;
}


.ubermenu .ubermenu-submenu-type-stack > .ubermenu-item-normal > .ubermenu-target:hover,
.ubermenu .ubermenu-submenu-type-stack > .ubermenu-item-normal > .ubermenu-target:focus,
.ubermenu .ubermenu-submenu-type-flyout > .ubermenu-item a:hover,
.ubermenu .ubermenu-submenu-type-flyout > .ubermenu-item a:focus,
.ubermenu .ubermenu-submenu .ubermenu-target:hover {
    color: var(--wp--preset--color--hd-blue-dark);
    padding-left: 6px !important;
    border-left: 1px solid rgba(46, 60, 58,1);
}

/* Reset and configure block grids */
.sub-menu-block-grid-1,
.sub-menu-block-grid-2 {
    padding-top: 16px !important;
}

.sub-menu-block-grid-2 .ubermenu-submenu-type-stack li {
    width: 50% !important;
    float: left !important;
    padding-right: 12px;
}

.sub-menu-block-grid-3 .ubermenu-submenu-type-stack li {
    width: 33% !important;
    float: left !important;
}

.sub-menu-block-grid-2 .ubermenu-submenu-type-stack li.menu-sub-header {
    width: 100% !important;
    float: left !important;
    display: block;
}

.sub-menu-block-grid-3 .ubermenu-submenu-type-stack li.menu-sub-header {
    width: 100% !important;
    float: left !important;
    display: block;
}

.ubermenu-submenu-drop {
    background-color: #fff !important;
    font-size: 90% !important;
    margin-top: -8px !IMPORTANT;
}

/* Unique Classes to target specific use cases */
.add-description-padding-top .ubermenu-target-description { padding-top: 8px;}

/* Custom Icons */

.ubermenu .has-custom-menu-icon ul .ubermenu-target {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
}

.ubermenu .has-custom-menu-icon ul .ubermenu-icon {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1;
    padding-top: 2px;
}

.ubermenu .has-custom-menu-icon .ubermenu-item-layout-icon_left>.ubermenu-target-title {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 8;
}